package _VisualDVM.ComponentsServer.BugReport;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.StatusEnum;

import java.io.Serializable;
public enum BugReportState implements Serializable, StatusEnum {
    active,
    closed,
    draft;
    @Override
    public VisualiserFonts getFont() {
        switch (this) {
            case active:
                return VisualiserFonts.BadState;
            case closed:
                return VisualiserFonts.GoodState;
            default:
                return StatusEnum.super.getFont();
        }
    }
    public String getDescription() {
        switch (this) {
            case draft:
                return "черновик";
            case active:
                return "открыт";
            case closed:
                return "закрыт";
            default:
                return StatusEnum.super.getDescription();
        }
    }
}
